utl::meta::apply_impl::apply_< Fn, integer_sequence< T, Is... > > Struct Template Reference

Sequence == integer_sequence<> More...

`#include <typelist.h>`

## Public Types

using | type = invoke< Fn, integral_< T, Is >... >

## Detailed Description

### template<typename Fn, typename T, T... Is>
struct utl::meta::apply_impl::apply_< Fn, integer_sequence< T, Is... > >

Sequence == integer_sequence<>

Definition at line 181 of file typelist.h.

## Member Typedef Documentation

## type

template<typename Fn , typename T , T... Is>

using utl::meta::apply_impl::apply_< Fn, integer_sequence< T, Is... > >::type = invoke<Fn, integral_<T, Is>...>

Definition at line 182 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h